package com.zjrs.ggfw.rlzysc.dto.grzxjlxx;

import jakarta.validation.constraints.Size;

public class QyxxUDTO {
    //去掉基本信息管理数据，不存在本地
    private String gsmc;//单位名称
    private String rsrlzyqyxxlsh;//主键

    private String yyzz;//营业执照

    @Size(min=0, max=250, message="公司标签最多只能输入250个字符或汉字")
    private String gsbq;//公司标签
    private String gsgm;//公司规模
    @Size(min=0, max=50, message="公司网站最多只能输入50个字符或汉字")
    private String gswz;//公司网站
    private String zpdq;//招聘地区
    private String clrq;//成立日期
    @Size(min=0, max=50, message="电子邮箱最多只能输入50个字符或汉字")
    private String dzyx;//联系电子邮箱
    private String yzbm;//邮政编码

    @Size(min=0, max=25, message="地图标注最多只能输入25个字符或汉字")
    private String dtbz;//地图标注

    @Size(min=0, max=25, message="传真号码最多只能输入25个字符或汉字")
    private String czhm;//传真号码

    @Size(min=0, max=1000, message="公司介绍最多只能输入1000个字符或汉字")
    private String gsjs;//公司介绍
    private String gsfl;//公司福利


    private String gsxz;//公司性质
    @Size(min=0, max=6, message="注册资本最多只能输入6个字符或汉字")
    private String zczb;//注册资本
    private String sjhm;//手机号码

    //要回写到基本信息里面的数据
    private String aab004;//公司名称
    private String aab998;//法人和其他组织统一社会信用代码
    private String  aae006;//联系地址，单位地址
    private String bze001;//登记地址
    private String aab078;//登记注册行政区划代码
    private String aab019;//单位类型
    private String aab020;//经济类型
    private String aab021;//隶属关系
    private String aab022;//行业代码
    private String aae004;//联系人
    private String aae005;//联系电话
    private String baa120;//有效状态
    private String aab013;//法定代表人姓名
    private String aac058;//法定代表人身份证件类型
    private String aab014;//法定代表人公民身份号码

    //@NotBlank(message = "HR名称不能为空")
    private String hrmc;
//    @NotBlank(message = "HR性别不能为空")
    private String hrxb;
    //@NotBlank(message = "HR证件号码不能为空")
    private String hrzjhm;
    //@NotBlank(message = "HR联系方式不能为空")
    private String hrlxfs;


    private String qyssr;

    public String getQyssr() {
        return qyssr;
    }

    public void setQyssr(String qyssr) {
        this.qyssr = qyssr;
    }

    public String getAab004() {
        return aab004;
    }

    public void setAab004(String aab004) {
        this.aab004 = aab004;
    }

    public String getAab998() {
        return aab998;
    }

    public void setAab998(String aab998) {
        this.aab998 = aab998;
    }

    public String getAae006() {
        return aae006;
    }

    public void setAae006(String aae006) {
        this.aae006 = aae006;
    }

    public String getBze001() {
        return bze001;
    }

    public void setBze001(String bze001) {
        this.bze001 = bze001;
    }

    public String getAab078() {
        return aab078;
    }

    public void setAab078(String aab078) {
        this.aab078 = aab078;
    }

    public String getAab019() {
        return aab019;
    }

    public void setAab019(String aab019) {
        this.aab019 = aab019;
    }

    public String getAab020() {
        return aab020;
    }

    public void setAab020(String aab020) {
        this.aab020 = aab020;
    }

    public String getAab021() {
        return aab021;
    }

    public void setAab021(String aab021) {
        this.aab021 = aab021;
    }

    public String getAab022() {
        return aab022;
    }

    public void setAab022(String aab022) {
        this.aab022 = aab022;
    }

    public String getAae004() {
        return aae004;
    }

    public void setAae004(String aae004) {
        this.aae004 = aae004;
    }

    public String getAae005() {
        return aae005;
    }

    public void setAae005(String aae005) {
        this.aae005 = aae005;
    }

    public String getBaa120() {
        return baa120;
    }

    public void setBaa120(String baa120) {
        this.baa120 = baa120;
    }

    public String getAab013() {
        return aab013;
    }

    public void setAab013(String aab013) {
        this.aab013 = aab013;
    }

    public String getAac058() {
        return aac058;
    }

    public void setAac058(String aac058) {
        this.aac058 = aac058;
    }

    public String getAab014() {
        return aab014;
    }

    public void setAab014(String aab014) {
        this.aab014 = aab014;
    }

    public String getGsmc() {
        return gsmc;
    }

    public void setGsmc(String gsmc) {
        this.gsmc = gsmc;
    }

    public String getRsrlzyqyxxlsh() {
        return rsrlzyqyxxlsh;
    }

    public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
        this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
    }

    public String getYyzz() {
        return yyzz;
    }

    public void setYyzz(String yyzz) {
        this.yyzz = yyzz;
    }

    public String getGsbq() {
        return gsbq;
    }

    public void setGsbq(String gsbq) {
        this.gsbq = gsbq;
    }

    public String getGsgm() {
        return gsgm;
    }

    public void setGsgm(String gsgm) {
        this.gsgm = gsgm;
    }

    public String getGswz() {
        return gswz;
    }

    public void setGswz(String gswz) {
        this.gswz = gswz;
    }

    public String getZpdq() {
        return zpdq;
    }

    public void setZpdq(String zpdq) {
        this.zpdq = zpdq;
    }

    public String getClrq() {
        return clrq;
    }

    public void setClrq(String clrq) {
        this.clrq = clrq;
    }

    public String getDzyx() {
        return dzyx;
    }

    public void setDzyx(String dzyx) {
        this.dzyx = dzyx;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getDtbz() {
        return dtbz;
    }

    public void setDtbz(String dtbz) {
        this.dtbz = dtbz;
    }

    public String getCzhm() {
        return czhm;
    }

    public void setCzhm(String czhm) {
        this.czhm = czhm;
    }

    public String getGsjs() {
        return gsjs;
    }

    public void setGsjs(String gsjs) {
        this.gsjs = gsjs;
    }

    public String getGsfl() {
        return gsfl;
    }

    public void setGsfl(String gsfl) {
        this.gsfl = gsfl;
    }

    public String getGsxz() {
        return gsxz;
    }

    public void setGsxz(String gsxz) {
        this.gsxz = gsxz;
    }

    public String getZczb() {
        return zczb;
    }

    public void setZczb(String zczb) {
        this.zczb = zczb;
    }

    public String getSjhm() {
        return sjhm;
    }

    public void setSjhm(String sjhm) {
        this.sjhm = sjhm;
    }

    public String getHrmc() {
        return hrmc;
    }

    public void setHrmc(String hrmc) {
        this.hrmc = hrmc;
    }

    public String getHrxb() {
        return hrxb;
    }

    public void setHrxb(String hrxb) {
        this.hrxb = hrxb;
    }

    public String getHrzjhm() {
        return hrzjhm;
    }

    public void setHrzjhm(String hrzjhm) {
        this.hrzjhm = hrzjhm;
    }

    public String getHrlxfs() {
        return hrlxfs;
    }

    public void setHrlxfs(String hrlxfs) {
        this.hrlxfs = hrlxfs;
    }
}

